Bug 447867 - cups package should require exactly-matching cups-libs package
cups package should require exactly-matching cups-libs package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 03:53 EDT by Tim Waugh
Modified: 2009-01-20 16:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 480918 (view as bug list)
Environment:
Last Closed: 2009-01-20 16:59:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-05-22 03:53:31 EDT
Description of problem:
The main cups package should require cups-libs-%{version}-%{release}.  Currently
it just requires cups-libs-%{version}.

Version-Release number of selected component (if applicable):
cups-1.2.4-11.18.EL5

How reproducible:
100%

Steps to Reproduce:
1.rpm -q --requires cups | grep cups-libs
Comment 1 RHEL Product and Program Management 2008-06-02 15:57:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Peter Robinson 2008-06-10 08:05:07 EDT
We're seeing issue with this for a couple of new RHEL 5.2 servers. Its causing
update problems as it seems the new 1:1.2.4-11.18.el5_2.1 cups package depends
on 1:1.2.4-0. Not going to be nice once we start pushing out 100s of these servers.

[root@a-rhel5-server ~]# yum update
Loading "rhnplugin" plugin
Loading "security" plugin
rhel-i386-server-5        100% |=========================| 1.2 kB    00:00     
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package kernel-headers.i386 0:2.6.18-92.1.1.el5 set to be updated
---> Package kernel-PAE.i686 0:2.6.18-92.1.1.el5 set to be installed
---> Package kernel-PAE-devel.i686 0:2.6.18-92.1.1.el5 set to be installed
---> Package ipsec-tools.i386 0:0.6.5-9.el5_2.1 set to be updated
---> Package dhcpv6-client.i386 0:1.0.10-4.el5_2.2 set to be updated
---> Package cups.i386 1:1.2.4-11.18.el5_2.1 set to be updated
--> Processing Dependency: cups-libs = 1:1.2.4-0 for package: cups
--> Finished Dependency Resolution
Error: Missing Dependency: cups-libs = 1:1.2.4-0 is needed by package cups
[root@a-rhel5-server ~]# yum list cups*
Loading "rhnplugin" plugin
Loading "security" plugin
rhel-i386-server-5        100% |=========================| 1.2 kB    00:00     
Installed Packages
cups.i386                                1:1.2.4-11.18.el5      installed       
cups-libs.i386                           1:1.2.4-11.18.el5_2.1  installed       
Available Packages
cups.i386                                1:1.2.4-11.18.el5_2.1  rhel-i386-server
cups-devel.i386                          1:1.2.4-11.18.el5_2.1  rhel-i386-server
cups-lpd.i386                            1:1.2.4-11.18.el5_2.1  rhel-i386-server
Comment 5 Peter Robinson 2008-06-10 08:11:28 EDT
Interesting downloading the package directly using wget from out rhn satellite
server and doing a rpm update allows it to complete just fine. 

[root@ea-rhel5-server ~]# rpm -Uvh cups-1.2.4-11.18.el5_2.1.i386.rpm 
Preparing...                ########################################### [100%]
   1:cups                   ########################################### [100%]
Comment 6 Tim Waugh 2008-06-10 08:26:05 EDT
Could this be a yum behaviour change?  CUPS in RHEL-4 has the same dependency as
in current RHEL-5, and has had since release IIRC.
Comment 7 Peter Robinson 2008-06-10 08:43:25 EDT
RHEL-4 (well at least an update 6 system that I have to hand) has up2date and
not yum. rpm itself doesn't seem to have this issue so it seems its a yum issue.
Got a rhel5.1 system that I'm in the process of testing atm.
Comment 8 Peter Robinson 2008-06-10 08:49:49 EDT
rhel 5.1 doesn't seem to exhibit the same issues but then this is also a test
server so I can't guarantee its state. We're seeing this on a number of 5.2 servers.

[root@redhatES-5-x86 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.1 (Tikanga)
[root@redhatES-5-x86 ~]# yum list cups
Loading "rhnplugin" plugin
Loading "security" plugin
Loading "installonlyn" plugin
Setting up repositories
rhel-i386-server-5        100% |=========================| 1.2 kB    00:00     
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 1.5 MB    00:01     
################################################## 4102/4102
Installed Packages
cups.i386                                1:1.2.4-11.14.el5_1.6  installed       
Available Packages
cups.i386                                1:1.2.4-11.18.el5_2.1  rhel-i386-server
[root@redhatES-5-x86 ~]# yum list cups*
Loading "rhnplugin" plugin
Loading "security" plugin
Loading "installonlyn" plugin
Setting up repositories
rhel-i386-server-5        100% |=========================| 1.2 kB    00:00     
Reading repository metadata in from local files
Installed Packages
cups.i386                                1:1.2.4-11.14.el5_1.6  installed       
cups-libs.i386                           1:1.2.4-11.14.el5_1.6  installed       
Available Packages
cups.i386                                1:1.2.4-11.18.el5_2.1  rhel-i386-server
cups-devel.i386                          1:1.2.4-11.18.el5_2.1  rhel-i386-server
cups-libs.i386                           1:1.2.4-11.18.el5_2.1  rhel-i386-server
cups-lpd.i386                            1:1.2.4-11.18.el5_2.1  rhel-i386-server
[root@redhatES-5-x86 ~]# 
[root@redhatES-5-x86 ~]# yum update cups-libs
Loading "rhnplugin" plugin
Loading "security" plugin
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
rhel-i386-server-5        100% |=========================| 1.2 kB    00:00     
Reading repository metadata in from local files
Skipping security plugin, no data
Resolving Dependencies
Skipping security plugin, no data
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for cups-libs to pack into transaction set.
cups-libs-1.2.4-11.18.el5 100% |=========================|  40 kB    00:00     
---> Package cups-libs.i386 1:1.2.4-11.18.el5_2.1 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 cups-libs               i386       1:1.2.4-11.18.el5_2.1  rhel-i386-server-5  181 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 181 k
Is this ok [y/N]: y
Downloading Packages:
(1/1): cups-libs-1.2.4-11 100% |=========================| 181 kB    00:00     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : cups-libs                    ######################### [1/2] 
  Cleanup   : cups-libs                    ######################### [2/2]

Updated: cups-libs.i386 1:1.2.4-11.18.el5_2.1
Complete!
[root@redhatES-5-x86 ~]# yum update cups
Loading "rhnplugin" plugin
Loading "security" plugin
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
rhel-i386-server-5        100% |=========================| 1.2 kB    00:00     
Reading repository metadata in from local files
Skipping security plugin, no data
Resolving Dependencies
Skipping security plugin, no data
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for cups to pack into transaction set.
cups-1.2.4-11.18.el5_2.1. 100% |=========================| 165 kB    00:00     
---> Package cups.i386 1:1.2.4-11.18.el5_2.1 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 cups                    i386       1:1.2.4-11.18.el5_2.1  rhel-i386-server-5  2.7 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 2.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/1): cups-1.2.4-11.18.e 100% |=========================| 2.7 MB    00:03     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : cups                         ######################### [1/2] 
  Cleanup   : cups                         ######################### [2/2]

Updated: cups.i386 1:1.2.4-11.18.el5_2.1
Complete!
[root@redhatES-5-x86 ~]#
Comment 9 Sam Folk-Williams 2008-06-10 08:58:04 EDT
Peter - I believe the problem you are seeing is actually a satellite bug that
can manifest as a dependency error on a variety of different packages - what is
the exact version of satellite you have?
Comment 10 Peter Robinson 2008-06-10 09:17:19 EDT
Well at the bottom of the webpages it reports this: Red Hat Network release 4.2.2

Is that what your after? Is there a bug for it?

Peter
Comment 11 Sam Folk-Williams 2008-06-10 09:26:04 EDT
Peter - there is a bug (but the bug is not public). I would suggest contacting
Red Hat support to troubleshoot if you are hitting this known issue. You can
reference BZ 249281 

Thanks,
Sam
Comment 12 Peter Robinson 2008-06-10 09:36:15 EDT
OK, well it wasn't a known issue to us :) can you confirm that version of
satellite server has the issue?

Regards,
Peter
Comment 13 Sam Folk-Williams 2008-06-10 09:42:57 EDT
(In reply to comment #12)
> OK, well it wasn't a known issue to us :) can you confirm that version of
> satellite server has the issue?
> 

I meant known to us :). It's a new issue so you wouldn't be aware just yet. I do
believe your version is effected, but please do contact support to verify.


> Regards,
> Peter

Comment 14 Peter Robinson 2008-06-10 09:49:04 EDT
Ah. Thanks for your help :). Will be raising a ticket shortly.

Peter
Comment 15 wdc 2008-06-11 15:09:54 EDT
At MIT we are having the same problem.  First with the cups-libs dependency, and
now some customers installing with RHEL 5.0 media and trying to take the updates
to get to 5.2.

From 5.0 install media, the following depencies fail:

Client:
Missing Dependency: firstboot-tui = 1.4.27.3-0 is needed by package firstboot
Missing Dependency: chkconfig = 1.3.30.1-0 is needed by package ntsysv
Missing Dependency: tetex-fonts = 3.0-0 is needed by package tetex
Missing Dependency: tetex-fonts = 3.0-0 is needed by package tetex-dvips
Missing Dependency: tetex-dvips = 3.0-0 is needed by package tetex-latex
Missing Dependency: net-snmp = 1:5.3.1-0 is needed by package net-snmp-utils
Missing Dependency: tetex = 3.0-0 is needed by package tetex-latex
Missing Dependency: tetex-dvips = 3.0-0 is needed by package tetex-xdvi
Missing Dependency: tcl = 8.4.13-0 is needed by package tk
Missing Dependency: libxml2 = 2.6.26-0 is needed by package libxml2-python
Missing Dependency: cups-libs = 1:1.2.4-0 is needed by package cups
Missing Dependency: iptables = 1.3.5-0 is needed by package iptables-ipv6
Missing Dependency: popt = 1.10.2-0 is needed by package rpm

Server:
Missing Dependency: chkconfig = 1.3.30.1-0 is needed by package ntsysv
Missing Dependency: tetex-fonts = 3.0-0 is needed by package tetex-dvips
Missing Dependency: tetex = 3.0-0 is needed by package tetex-latex
Missing Dependency: libxml2 = 2.6.26-0 is needed by package libxml2-python
Missing Dependency: cups-libs = 1:1.2.4-0 is needed by package cups
Missing Dependency: iptables = 1.3.5-0 is needed by package iptables-ipv6
Missing Dependency: libvorbis = 1:1.1.2-0 is needed by package libvorbis-devel
Missing Dependency: tcl = 8.4.13-0 is needed by package tk
Missing Dependency: newt = 0.52.2-0 is needed by package newt-devel
Missing Dependency: at-spi = 1.7.11-0 is needed by package at-spi-devel
Missing Dependency: libxslt = 1.1.17-0 is needed by package libxslt-devel
Missing Dependency: libxslt = 1.1.17-0 is needed by package libxslt-python
Missing Dependency: gnome-panel = 2.16.1-0 is needed by package gnome-panel-devel
Missing Dependency: fontconfig = 2.4.1-0 is needed by package fontconfig-devel
Missing Dependency: tetex-dvips = 3.0-0 is needed by package tetex-latex
Missing Dependency: tetex-fonts = 3.0-0 is needed by package tetex
Missing Dependency: libgnomeprint22 = 2.12.1-0 is needed by package
libgnomeprint22-devel
Missing Dependency: popt = 1.10.2-0 is needed by package rpm
Missing Dependency: firstboot-tui = 1.4.27.3-0 is needed by package firstboot
Missing Dependency: alsa-lib = 1.0.14-0 is needed by package alsa-lib-devel
Missing Dependency: tetex-dvips = 3.0-0 is needed by package tetex-xdvi
Missing Dependency: libxml2 = 2.6.26-0 is needed by package libxml2-devel
Missing Dependency: net-snmp = 1:5.3.1-0 is needed by package net-snmp-utils

Although MIT has a 4.2.2 Satellite server, are we SURE it is Satellite Server,
not yum that has the problem?
Comment 16 Phil Knirsch 2008-06-13 09:39:49 EDT
As per the comments changing the component to yum.

Thanks,

Read ya, Phil
Comment 17 James Antill 2008-06-13 09:56:13 EDT
 Why ... it needs to be set to satellite (some versions of which have a fix for
this bug).
 Yum can't do anything about the broken MD.
Comment 18 Tim Waugh 2008-06-13 10:00:28 EDT
Er.. please don't hijack my bug report.  File a new one. :-)

*This* bug is for the 'Requires' tag in the cups package being made more strict,
and is not related to the yum/satellite problem described in comment #2.
Comment 19 Phil Knirsch 2008-06-17 05:30:04 EDT
Granting Devel ACK for original bug report, simple fix.

Thanks,

Read ya, Phil
Comment 24 errata-xmlrpc 2009-01-20 16:59:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0201.html

Note You need to log in before you can comment on or make changes to this bug.